const f = ["parentNode"], u = "form_item";
function o(e) {
  return e === void 0 || e === !1 ? [] : Array.isArray(e) ? e : [e];
}
function g(e, t) {
  if (!e.length)
    return;
  const n = e.join("_");
  return t ? `${t}_${n}` : f.includes(n) ? `${u}_${n}` : n;
}
function d(e, t, n, i, s, l) {
  let r = i;
  return l !== void 0 ? r = l : n.validating ? r = "validating" : e.length ? r = "error" : t.length ? r = "warning" : (n.touched || s && n.validated) && (r = "success"), r;
}
export {
  g as getFieldId,
  d as getStatus,
  o as toArray
};
